Name:           opensaml
Version:        2.3
Release:        2%{?dist}
Summary:        Security Assertion Markup Language

Group:          System Environment/Libraries
License:        ASL 2.0
URL:            http://www.opensaml.org/
Source0:        http://shibboleth.internet2.edu/downloads/opensaml/cpp/%{version}/opensaml-%{version}.tar.gz
Patch0:         %{name}-rm-pl-ending.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  log4cpp-devel
BuildRequires:  xerces-c-devel >= 2.8.0
BuildRequires:  xmltooling-devel >= 1.3.1
BuildRequires:  xml-security-c-devel >= 1.4.0
BuildRequires:  doxygen
BuildRequires:  cxxtest

Requires:       xml-common

# Needed since we are doing an autoreconf
# below.
BuildRequires:  automake
BuildRequires:  autoconf
BuildRequires:  libtool

%description
OpenSAML is an open source implementation of the OASIS Security Assertion
Markup Language Specification. It contains a set of open source C++ classes
that support the SAML 1.0, 1.1, and 2.0 specifications.

%package devel
Summary: Security Assertion Markup Language Development
Group:          System Environment/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
OpenSAML is an open source implementation of the OASIS Security Assertion
Markup Language Specification. It contains a set of open source C++ classes
that support the SAML 1.0, 1.1, and 2.0 specifications.

%{name}-devel provides header files for development.

%package doc
Summary: Security Assertion Markup Language Documentation
Group:          System Environment/Libraries
Requires: %{name} = %{version}-%{release}
%if %{?fedora}%{!?fedora:0} >= 10 || %{?rhel}%{!?rhel:0} >= 6
BuildArch:      noarch
%endif

%description doc
OpenSAML is an open source implementation of the OASIS Security Assertion
Markup Language Specification. It contains a set of open source C++ classes
that support the SAML 1.0, 1.1, and 2.0 specifications.

%{name}-doc provides documentation.

%prep
%setup -q
#%patch0 -p1
# Remove private zlib to be sure we don't use it.
rm -rf saml/zlib

%build
aclocal 
autoconf
autoheader
automake --add-missing --copy
libtoolize --copy --force

%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%check
make check

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%{_bindir}/samlsign
#%{_bindir}/samltest
%{_libdir}/libsaml.so.*
%{_datadir}/xml/opensaml

%doc doc/README.txt doc/LICENSE.txt

%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/*.so

%files doc
%defattr(-,root,root,-)
%doc doc/api/html


%changelog
* Sun Feb 07 2010 Steve Traylen <steve.traylen@cern.ch> - 2.3-2
- rebuilt against new xerces-c 3.

* Thu Nov 19 2009 Steve Traylen  <steve.traylen@cern.ch>  - 2.3-1
- New upstream 2.3
* Fri Oct 16 2009 Steve Traylen  <steve.traylen@cern.ch>  - 2.2.1-2
- Change Source URL to explicit version rather than "latest"
- Add a BuildRequires of cxxtest.
- Add Requires xml-common  to ensure existence of /usr/share/xml
- Add more minimum versions for BuildRequires.
* Tue Oct 6 2009  Steve Traylen  <steve.traylen@cern.ch>  - 2.2.1-1
- First Build

